#ifndef TRACKEDOBJECTLABEL_H
#define TRACKEDOBJECTLABEL_H

#include <QFrame>
#include <QStackedWidget>
#include <QLabel>
#include <QLineEdit>
#include <QToolButton>


class TrackedObjectLabel : public QFrame
{
    Q_OBJECT
public:
    explicit TrackedObjectLabel(int id);

    int id;
    QStackedWidget *labelStack;
    QLabel *label;
    QLineEdit *labelEdit;

    QToolButton *buttonEdit;
    QToolButton *buttonDelete;

    bool clicked;



signals:

public slots:
    void changeName();
    void deleteObj();
    void toggleEdit();
    void updateStyle();

    void filterStateChange(int f);

protected:
    void mousePressEvent(QMouseEvent *event);
    void mouseDoubleClickEvent(QMouseEvent *event);
};

#endif // TRACKEDOBJECTLABEL_H
